@import '../../../../../../assets/styles/colors.sass'

:host
    display: inline-flex
    align-items: center

.pagination-button
    display: flex
    align-items: center
    justify-content: center
    width: 44px
    height: 44px
    background-color: $activeBG
    border-radius: 8px
    border: none
    cursor: pointer
    &:hover
        background-color: $activeBGHover
    &:active
        background-color: $activeBGActive
    &.pagination-button_icon-after
        &::after
            content: ''
            display: block
            background-repeat: no-repeat
            background-position: center
            background-size: contain
        &.pagination-button_icon-after_right
            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/icons/arrow_right_black.svg)
            &.disabled
                &::after
                    background-image: url(/assets/icons/arrow-right-grey.svg)
        &.pagination-button_icon-after_left
            &::after
                width: 8px
                height: 12px
                background-image: url(/assets/icons/arrow_left_black.svg)
            &.disabled
                &::after
                    background-image: url(/assets/icons/arrow_left_grey.svg)
